-- compatibility tables
-- this file is used to hold information that would normally
-- be tagged in the _sorcery or _proto fields of an item's
-- definition, but cannot be placed there because the item
-- is outside the control of the author and its module does
-- not cooperate with sorcery. it is used by itemclass.lua
-- to seamlessly locate the material properties and
-- capabilities of an item.
local grain = {
	hardness = 1;
	value = 1;
	powder = 'farming:flour';
	grindcost = 3;
}
return {
	grindables = {
		['farming:wheat'] = grain;
		['farming:rye'] = grain;
		['farming:oats'] = grain;
		['farming:barley'] = grain;
		['farming:rice'] = {
			powder = 'farming:rice_flour';
			hardness = 1, value = 1;
			grindcost = 3;
		};
		['default:paper'] = {
			powder = 'sorcery:pulp';
			hardness = 1, grindvalue = 2;
			grindcost = 1;
		};
		['default:book'] = {
			powder = 'sorcery:pulp';
			hardness = 1, grindvalue = 2 * 3;
			grindcost = 1;
		};
		['default:book_written'] = {
			powder = 'sorcery:pulp_inky';
			hardness = 1, grindvalue = 2 * 3;
			grindcost = 1;
		};
		['default:papyrus'] = {
			powder = 'sorcery:pulp';
			hardness = 1, grindvalue = 3;
			grindcost = 1;
		};
	};
	ley = {
		['default:mese'] = {
			power = 0.25;
			mode = 'produce';
		};
	};
	gems = {
		['default:mese_crystal'] = {
			id = 'mese', gem = true;
			value = 9, raw = true;
			sacrifice_value = 500;
		};
		['default:mese_crystal_fragment'] = {
			id = 'mese', gem = true;
			value = 1, raw = true;
			sacrifice_value = 500 / 9;
		};
		['default:diamond'] = {
			id = 'diamond', gem = true;
			value = 9, raw = true;
		};
	};
	ore = {
		['default:stone_with_iron'   ] = { id = 'steel',   metal = true };-- :/
		['default:stone_with_copper' ] = { id = 'copper',  metal = true };
		['default:stone_with_tin'    ] = { id = 'tin',     metal = true };
		['default:stone_with_gold'   ] = { id = 'gold',    metal = true };
		['default:stone_with_mese'   ] = { id = 'mese',    gem = true };
		['default:stone_with_diamond'] = { id = 'diamond', gem = true };
	};
	buckets = {
		['bucket:bucket_water'] = { has = 'default:water'; };
		['bucket:bucket_empty'] = {};
	};
	vessels = {
		['vessels:glass_bottle'] = { hold = 'liquid', charge = 0 };
		['vessels:drinking_glass'] = { hold = 'liquid', charge = 1 };
		['farming:ethanol'] = {
			hold = 'liquid', has = 'farming:ethanol';
			empty = 'vessels:glass_bottle';
		};
	};
	boxes = {};
	containers = {};
	residue = {
		['farming:hemp_oil'] = 'vessels:glass_bottle';
	};
}
