local default_items = function(name)
	return {
		pick   = 'default:pick_'   .. name;
		axe    = 'default:axe_'    .. name;
		shovel = 'default:shovel_' .. name;
		hoe    = 'farming:hoe_'    .. name;
		sickle = 'sickles:sickle_' .. name;
		scythe = 'sickles:scythe_' .. name;
		sword  = 'default:sword_'  .. name;

		helmet     = '3d_armor:helmet_'     .. name;
		leggings   = '3d_armor:leggings_'   .. name;
		chestplate = '3d_armor:chestplate_' .. name;
		boots      = '3d_armor:boots_'      .. name;
		shield     = '3d_armor:shield_'     .. name;
	};
end

return {
	tin = {
		ingot = 'default:tin_ingot';
		block = 'default:tinblock';
		dye = 'bright_grey';
		tone = {172,172,172};
		no_tools = true; no_armor = true; grindhead = true;
		durability = 120;
		hardness = 2;
		level = 0;
		depth = 64;
	};
	copper = {
		dye = 'orange';
		ingot = 'default:copper_ingot';
		block = 'default:copperblock';
		tone = {255,176,61};
		no_tools = true; no_armor = true;
		durability = 80;
		hardness = 2;
		conduct = 0.3;
		depth = 64;
		level = 0;
	};
	brass = {
		tone = {255,226,87};
		dye = 'bright_orange';
		artificial = true;
		no_tools = true; no_armor = true;
		hardness = 3;
		durability = 200;
		level = 0; 
		mix = {
			metals = {
				silver = 1;
				copper = 4;
			};
		};
	};
	bronze = {
		ingot = 'default:bronze_ingot';
		block = 'default:bronzeblock';
		dye = 'dark_orange';
		artificial = true;
		tone = {229,115,52};
		items = default_items('bronze');
		hardness = 4;
		durability = 350;
		maxenergy = 150;
		sharpness = 1;
		speed = 1.4;
		level = 0;
		slots = {
			{affinity = {'counterpraxic'}; confluence = 0.7};
		};
		mix = {
			metals = {
				copper = 4;
				tin = 1;
			};
		};
	};
	steel = {
		ingot = 'default:steel_ingot';
		block = 'default:steelblock';
		dye = 'grey';
		tone = {240,240,240}; depth = 128;
		items = default_items('steel');
		maxenergy = 200;
		durability = 500;
		sharpness = 2;
		hardness = 5;
		speed = 1.9;
		level = 1;
		slots = {
			{affinity = {'praxic'}; confluence = 0.5};
		};
	};
	aluminum = {
		tone = {196,64,32}, alpha = 128;
		dye = 'red';
		meltpoint = 1;
		rarity = 12; depth = 183;
		power = 3; speed = 2.4;
		durability = 700; cooktime = 25;
		hardness = 6;
		sharpness = 2;
		armor_weight = 0.3;
		maxenergy = 400;
		level = 1;
		maxlevel = 2;
		slots = {
			{affinity = {'syncretic'}; confluence = 0.7};
			{affinity = {'praxic'}; confluence = 0.4};
		};
	};
	levitanium = {
		tone = {0,255,163}, alpha = 70;
		dye = 'bright_blue';
		meltpoint = 4;
		hardness = 3;
		level = 1;
		rarity = 18; depth = 870;
		power = 1; durability = 50; cooktime = 70;
		armor_weight = -2.2; armor_protection = 1;
		no_tools = true;
	};
	platinum = {
		tone = {255,233,118}, alpha = 50;
		meltpoint = 1;
		dye = 'pastel_yellow';
		rarity = 15; depth = 580;
		power = 4; speed = 3;
		hardness = 6;
		sharpness = 3;
		level = 2;
		durability = 1400; cooktime = 40;
		armor_weight = 0.7;
		maxenergy = 1000;
		slots = {
			{affinity = {'praxic','counterpraxic'}; confluence = 0.7};
			{affinity = {'entropic'}; confluence = 0.4};
		}
	};
	gold = {
		dye = 'yellow';
		ingot = 'default:gold_ingot';
		block = 'default:goldblock';
		tone = {255,225,47};
		hardness = 1;
		depth = 256;
		level = 1;
		maxenergy = 3000;
		slots = {
			{affinity = {'praxic','counterpraxic'}; confluence = 1.4};
			{affinity = {'praxic','counterpraxic'}; confluence = 1.2};
		};
		amulet = {};
	};
	silver = {
		tone = {218,255,246};
		dye = 'white';
		maxenergy = 2000;
		hardness = 1;
		level = 1;
		depth = 210; rarity = 13.5;
		no_armor = true; no_tools = true;
		power = 1; cooktime = 8; hardness = 1;
	};
	electrum = {
		tone = {212, 255, 0}, alpha = 80;
		artificial = true;
		hardness = 1;
		conduct = 2;
		level = 1;
		dye = 'bright_green';
		mix = {
			metals = {
				silver = 1;
				gold = 1;
			};
		};
		sinter = { 'silver', 'gold' };
		no_tools = true;
	};
	tungsten = {
		tone = {17,255,191}, alpha = 40;
		rarity = 14;
		speed = 2.8;
		power = 4;
		hardness = 8;
		meltpoint = 4;
		cooktime = 100;
		sharpness = 2;
		durability = 2700;
		maxenergy = 1500;
		level = 2;
		maxlevel = 3;
		depth = 650;
		slots = {
			{affinity = {'counterpraxic'}, confluence = 0.6};
			{affinity = {'praxic','counterpraxic'}, confluence = 1};
			{affinity = {'praxic'}, confluence = 0.5};
		};
		amulet = {};
	};
	cobalt = {
		dye = 'blue';
		tone = {48,101,255}, alpha = 90;
		rarity = 17;
		durability = 400;
		hardness = 6;
		power = 3;
		sharpness = 1;
		speed = 3.5;
		depth = 780;
		cooktime = 30;
		maxenergy = 3500;
		level = 2;
		slots = {
			{
				affinity = {'counterpraxic'};
				confluence = 0.65;
				interference = {speed = 1};
			};
		};
		amulet = { power = 1.5 };
	};
	lithium = {
		tone = {255,252,93}, alpha = 80;
		dye = 'yellow';
		rarity = 13;
		hardness = 2;
		fuel = 80;
		depth = 670;
		level = 1;
		no_tools = true;
		no_armor = true;
	};
	vidrium = {
		tone = {119,185,221}, alpha = 140;
		artificial = true;
		dye = 'cyan';
		hardness = 1;
		durability = 300;
		meltpoint = 2;
		cooktime = 20;
		no_tools = true, no_armor = true;
		conduct = 5;
		level = 1;
		image = {
			block = 'sorcery_metal_vidrium_shiny.png';
		};
		mix = {
			metals = {
				lithium = 2;
				tin = 4;
				gold = 1;
			}
		};
		sinter = {
			'gold'; 'lithium', 'lithium';
			'tin', 'tin', 'tin', 'tin';
		};
	};
	iridium = {
		tone = {209,88,241}, alpha = 80;
		dye = 'purple';
		rarity = 18;
		meltpoint = 3;
		cooktime = 340;
		hardness = 7;
		sharpness = 4;
		level = 3;
		maxenergy = 1800;
		depth = 1370;
		conduct = 10;
		durability = 1900;
		speed = 3;
		image = {
			block = 'sorcery_metal_iridium_shiny.png';
		};
		slots = {
			{affinity={'counterpraxic','syncretic'}, confluence = 1.1};
			{affinity={'cognic','entropic'}, confluence = 0.8};
		};
		amulet = { power = 1.7 };
	};
	duridium = {
		tone = {255,64,175}, alpha = 70;
		cooktime = 120;
		artificial = true;
		durability = 3400;
		speed = 3.1;
		hardness = 9;
		sharpness = 3;
		power = 5;
		level = 4;
		mix = {
			metals = {
				platinum = 4;
				aluminum = 4;
				tin = 1;
			};
		};
		maxenergy = 1300;
		slots = {
			{affinity={'counterpraxic'}, confluence = 0.6};
			{affinity={'counterpraxic'}, confluence = 0.4};
		};
	};
	impervium = {
		tone = {255,90,164}, alpha = 90;
		cooktime = 260;
		meltpoint = 5;
		artificial = true;
		speed = 2.8;
		hardness = 15;
		sharpness = 5;
		level = 4;
		maxlevel = 5;
		durability = 5300;
		maxenergy = 2300;
		watercool = true;
		mix = {
			metals = {
				duridium = 4;
				vidrium = 2;
				levitanium = 1;
			};
		};
		slots = {
			{affinity={'praxic'}, confluence = 1.2, interference={durability=2}};
			{affinity={'praxic','syncretic'}, confluence = 0.8};
			{affinity={'cognic'}, confluence = 0.9};
		};
	};
	eternium = {
		tone = {229,188,121}, alpha = 100;
		cooktime = 500;
		meltpoint = 6;
		artificial = true;
		speed = 2.5;
		hardness = 10;
		sharpness = 4;
		level = 4;
		maxenergy = 1200;
		durability = 8100;
		watercool = true;
		mix = {
			metals = {
				iridium = 2;
				tungsten = 2;
				lithium = 1;
			};
		};
		sinter = {
			'lithium';
			'iridium', 'iridium';
			'tungsten', 'tungsten';
		};
		slots = {
			{affinity={'praxic','entropic'}, confluence = 1.4};
			{affinity={'praxic','syncretic'}, confluence = 1.1};
		}
	};
	unobtanium = {
		tone = {114,255,214}, alpha = 120;
		meltpoint = 3;
		cooktime = 330;
		artificial = true;
		maxenergy = 4000;
		hardness = 7;
		durability = 3300;
		level = 5;
		sharpness = 3;
		conduct = 20;
		speed = 3.4;
		slots = {
			{affinity={'praxic'}, confluence = 0.7};
			{affinity={'counterpraxic'}, confluence = 1.2};
			{affinity={'cognic'}, confluence = 1.1};
		};
		mix = {
			metals = {
				impervium = 8;
				eternium = 4;
				cobalt = 1;
			};
		};
	};
	draconium = {
		tone = {255,20,80}, alpha = 110;
		artificial=true;
		meltpoint = 5;
		cooktime = 120;
		hardness = 8;
		maxconduct = 15;
		sharpness = 5;
		level = 2;
		speed = 2.5;
		maxenergy = 2200;
		durability = 1500;
		slots = {
			{affinity={'praxic'},confluence=3};
			{affinity={'syncretic'},confluence=2};
		};
		sinter = {
			'lithium'; 'aluminum'; 'aluminum'; 'iridium';
		};
		sinter_catalyst = { 'sorcery:oil_flame' };
	};
	tyrannium = {
		tone = {46,255,245}, alpha = 80;
		artificial=true;
		hardness = 20;
		meltpoint = 6;
		cooktime = 240;
		maxenergy = 800;
		sharpness = 6;
		durability = 4000;
		speed = 3.0;
		level = 3;
		maxlevel = 4;
		mix = {
			metals = {
				draconium = 1;
				tungsten = 4;
				platinum = 4;
			};
		};
		slots = {
			{affinity={'imperic','entropic'},confluence=2.5};
			{affinity={'praxic','cognic'},confluence=1.8};
			{affinity={'counterpraxic','syncretic'},confluence=0.7};
		};
	};
};
